Package ru.bitel.bgbilling.plugins.dispatch.common.bean

# Class PersonalDispatch

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.plugins.dispatch.common.bean.PersonalDispatch

All Implemented Interfaces:
  `Serializable`, `Idable`

public class PersonalDispatch extends Id
Персональная рассылка. Переопределяет время глобальной рассылки.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PersonalDispatch()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getParentDispatchId()`
  Возвращает id родительской рассылки
  `ScheduleTime`
  `getRepeatTime()`
  Возвращает расписание отправки
  `boolean`
  `isActive()`
  Активна ли рассылка
  `void`
  `setActive(boolean active)`
  Устанавливает, активна ли рассылка
  `void`
  `setParentDispatchId(int dispatchId)`
  Устанавливает id родительской глобальной рассылки
  `void`
  `setRepeatTime(ScheduleTime repeatTime)`
  Устанавливает расписание отправки

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PersonalDispatch

    public PersonalDispatch()

- ## Method Details

  - ### getParentDispatchId

    public int getParentDispatchId()
    Возвращает id родительской рассылки
    Returns:

  - ### setParentDispatchId

    public void setParentDispatchId(int dispatchId)
    Устанавливает id родительской глобальной рассылки
    Parameters:
      `dispatchId` -

  - ### isActive

    public boolean isActive()
    Активна ли рассылка
    Returns:

  - ### setActive

    public void setActive(boolean active)
    Устанавливает, активна ли рассылка
    Parameters:
      `active` -

  - ### getRepeatTime

    public ScheduleTime getRepeatTime()
    Возвращает расписание отправки
    Returns:

  - ### setRepeatTime

    public void setRepeatTime(ScheduleTime repeatTime)
    Устанавливает расписание отправки